/**
 * Creates an error object.
 * @syntax <code>newError([<em>message</em>[,<em>fileName</em>[,<em>lineNumber</em>]]])</code>
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard The name of the file containing the code that caused the exception
 * @param {Number} lineNumber Non-standard The line number of the code that caused the exception
 * @returns {Error} 
 */
function Error() {
    this.prototype
}
/**
 * A human-readable description of the error.
 * @returns {String} 
 */
Error.prototype.message;

/**
 * Returns code that could eval to the same error.
 * @syntax <code><i>error</i>.toSource()</code>
 * @returns {String} 
 */
Error.prototype.toSource = function() {};

/**
 * @returns {String} 
 */
Error.prototype.description;

/**
 * A name for the type of error.
 * @returns {String} 
 */
Error.prototype.name;

/**
 * @returns {String} 
 */
Error.prototype.fileName;

/**
 * @returns {Number} 
 */
Error.prototype.lineNumber;

/**
 * Returns a string representing the specified Error object.
 * @syntax <code><em>error</em>.toString()</code>
 * @returns {String} 
 */
Error.prototype.toString = function() {};

/**
 * @returns {Number} 
 */
Error.prototype.number;

/**
 * @returns {String} 
 */
Error.prototype.stack;

/**
 * Represents the prototype for the Error constructor.
 * @returns {Object} 
 * @static
 */
Error.prototype;

/**
 * @returns {Function} 
 */
Error.prototype.constructor;

